%define module_version 2.3
%define module_name Tk-FileEntry
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Tk.pm) perl(Tk/Derived.pm) perl(Tk/Frame.pm) perl(Tk/widgets.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.3
Release: alt1
Summary: FileEntry widget with optional file selection box
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AS/ASB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
FileEntry is a composite widget for choosing files.
It features a the Tk::Label manpage, the Tk::Entry manpage, and a the Tk::Button manpage. 

When the button is clicked, a dialog for choosing a file will show up.
The path of the chosen file will be inserted into the entry widget.
The label is intended as caption fot the entry widget.

This is useful if you want to provide a convenient way to select a
file path.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE example
%perl_vendor_privlib/T*

%changelog
* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 2.3-alt1
- regenerated from template by package builder

* Thu Sep 04 2014 Igor Vlasenko <viy@altlinux.ru> 2.2-alt1
- initial import by package builder

